ServerEvents.recipes(GregTechApocalypse => {

  GregTechApocalypse.remove({ id: 'psi:assembler' })
  GregTechApocalypse.shaped('psi:cad_assembler', ['CBC', 'CAC', ' C '], {
    A: 'gtceu:ev_assembler',
    B: 'minecraft:piston',
    C: 'minecraft:iron_ingot'
  })
  GregTechApocalypse.remove({ id: 'psi:programmer' })
  GregTechApocalypse.shaped('psi:programmer', ['CBC', 'CAC', ' C '], {
    A: 'gtceu:ev_circuit_assembler',
    B: 'psi:psidust',
    C: 'minecraft:iron_ingot'
  })
})